QGIS Application - Bug report #16022

Symbol layer tree: the SVG/ellipse marker being used should be shown and selected in symbol layer
properties

2016-12-30 10:07 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.18.2 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 23937
Description

Layer properties --> symbology --> Single symbol

In the symbol layer tree, if you have a simple marker, whenever you select it, in the frame at the bottom showing the list of simple markers
available, this one is selected.

It seems to also be the case when using font markers though I'm not really sure how the list of font markers is filled.

But when using an ellipse marker, or a SVG image, selecting the item in the symbol tree doesn't show it to you in the frame at the bottom.
While for ellipses, you can easily identify the model being used (there are few), it's very hard with SVG images: replacing a symbol by a
nearby one requires you to browse again the svg folders.

| think that when selecting such low-level item in the symbol layer tree, the frame showing these icons should zoom to the selected item
and show it selected (and not simply show the top of the whole list)

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugdfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.
You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.
